Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class WordStemmer

    java.lang.Object
      edu.stanford.nlp.trees.WordStemmer

All Implemented Interfaces:
  TreeVisitor

    public class WordStemmer

extends Object
implements TreeVisitor

Stems the Words in a Tree using Morphology.

Author:
  Huy Nguyen (htnguyen@cs.stanford.edu)

Constructor Summary
`WordStemmer()`

Method Summary
`static void` | `main(String[] args)` Reads, stems, and prints the trees in the file.
`void` | `visitTree(Tree t)` Does whatever one needs to do to a particular parse tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordStemmer

    public WordStemmer()

Method Detail

### visitTree

    public void visitTree(Tree t)

  Description copied from interface: `TreeVisitor`
  Does whatever one needs to do to a particular parse tree.

  Specified by:
    `visitTree` in interface `TreeVisitor`
  Parameters:
    `t` - A tree. Classes implementing this interface can assume that the tree passed in is not `null`.

### main

    public static void main(String[] args)

  Reads, stems, and prints the trees in the file.

  Parameters:
    `args` - Usage: WordStemmer file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group